<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_400"
        android:background="@drawable/lanse_bg"
        app:layout_constraintTop_toTopOf="parent" />

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/lottie"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="-20dp"
        android:cropToPadding="true"
        android:scaleType="fitCenter"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/iv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.45"
        app:lottie_fileName="qiling_dongxiao.json" />

    <FrameLayout
        android:id="@+id/flTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="@dimen/dp_24"
        app:layout_constraintTop_toTopOf="parent">


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_8"
            android:layout_marginBottom="@dimen/dp_16"
            android:text="@string/app_name"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_19"
            android:textStyle="bold" />

    </FrameLayout>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/flTop">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="@dimen/dp_10">

            <FrameLayout
                android:id="@+id/flClean"
                android:layout_width="@dimen/dp_220"
                android:layout_height="@dimen/dp_220"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="0dp">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/dp_37"
                    android:background="@drawable/bg_oval" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_ring_home" />


                <com.mikhaellopez.circularprogressbar.CircularProgressBar
                    android:id="@+id/circleProgress"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/dp_20"
                    app:cpb_background_progressbar_color="#CCFFFFFF"
                    app:cpb_background_progressbar_width="@dimen/dp_8"
                    app:cpb_progress_direction="to_right"
                    app:cpb_progress_max="100"
                    app:cpb_progressbar_color="@color/colorPrimary"
                    app:cpb_progressbar_width="@dimen/dp_8"
                    app:cpb_round_border="true"
                    tools:cpb_progress="50" />


                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginBottom="@dimen/dp_8"
                    android:gravity="center"
                    android:orientation="vertical">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_12"
                        android:text="@string/CLEAN"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/sp_18"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="@dimen/dp_10">

                        <TextView
                            android:id="@+id/tvUsed"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_8"
                            android:text="0.0 GB"
                            android:textColor="#1A1A1A"
                            android:textSize="@dimen/sp_14"
                            tools:ignore="HardcodedText" />

                        <TextView
                            android:id="@+id/tvTotal"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=" / 0.0GB"
                            android:textColor="#1A1A1A"
                            android:textSize="@dimen/sp_14"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>


                </LinearLayout>

            </FrameLayout>

            <TextView
                android:id="@+id/tvClean"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_marginHorizontal="@dimen/dp_80"
                android:layout_marginTop="@dimen/dp_20"
                android:background="@drawable/bg_ff8000_fec300"
                android:foreground="?attr/selectableItemBackground"
                android:gravity="center"
                android:text="@string/quick_clean"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_19"
                android:textStyle="bold" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:overScrollMode="never"
                android:paddingHorizontal="@dimen/dp_8" />

        </LinearLayout>


    </androidx.core.widget.NestedScrollView>


</androidx.constraintlayout.widget.ConstraintLayout>